<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:18 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Serialized Form (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ast</h2>
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.ast.ParseException">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/ast/ParseException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">org.eclipse.papyrus.designer.languages.java.reverse.ast.ParseException</a> extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>specialConstructor</h4>
<pre>boolean specialConstructor</pre>
<div class="block">This variable determines which constructor was used to create
 this object and thereby affects the semantics of the
 "getMessage" method (see below).</div>
</li>
<li class="blockList">
<h4>currentToken</h4>
<pre><a href="org/eclipse/papyrus/designer/languages/java/reverse/ast/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">Token</a> currentToken</pre>
<div class="block">This is the last token that has been consumed successfully. If
 this object has been created due to a parse error, the token
 followng this token will (therefore) be the first error token.</div>
</li>
<li class="blockList">
<h4>expectedTokenSequences</h4>
<pre>int[][] expectedTokenSequences</pre>
<div class="block">Each entry in this array is an array of integers. Each array
 of integers represents a sequence of tokens (by their ordinal
 values) that is expected at this point of the parse.</div>
</li>
<li class="blockList">
<h4>tokenImage</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] tokenImage</pre>
<div class="block">This is a reference to the "tokenImage" array of the generated
 parser within which the parse error occurred. This array is
 defined in the generated ...Constants interface.</div>
</li>
<li class="blockListLast">
<h4>eol</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eol</pre>
<div class="block">The end of line string for this machine.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.ast.TokenMgrError">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/ast/TokenMgrError.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">org.eclipse.papyrus.designer.languages.java.reverse.ast.TokenMgrError</a> extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Error.html?is-external=true" title="class or interface in java.lang">Error</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>errorCode</h4>
<pre>int errorCode</pre>
<div class="block">Indicates the reason why the exception is thrown. It will have
 one of the above 4 values.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.exception</h2>
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.exception.ClassifierNeedCreationException">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/ClassifierNeedCreationException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">org.eclipse.papyrus.designer.languages.java.reverse.exception.ClassifierNeedCreationException</a> extends <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NotFoundException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">NotFoundException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>qualifiedName</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; qualifiedName</pre>
<div class="block">The qname that is not found.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.exception.ClassifierNotFoundException">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/ClassifierNotFoundException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">org.eclipse.papyrus.designer.languages.java.reverse.exception.ClassifierNotFoundException</a> extends <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NotFoundException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">NotFoundException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>requestedQualifiedName</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; requestedQualifiedName</pre>
<div class="block">The relative name of the requested nested classifier. The first segment is the name of the parent classifier
 Only one of <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/ClassifierNotFoundException.html#requestedQualifiedName"><code>ClassifierNotFoundException.requestedQualifiedName</code></a> or <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/ClassifierNotFoundException.html#requestedSimpleName"><code>ClassifierNotFoundException.requestedSimpleName</code></a> is set.</div>
</li>
<li class="blockListLast">
<h4>requestedSimpleName</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> requestedSimpleName</pre>
<div class="block">The requested simple name.
 Only one of <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/ClassifierNotFoundException.html#requestedQualifiedName"><code>ClassifierNotFoundException.requestedQualifiedName</code></a> or <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/ClassifierNotFoundException.html#requestedSimpleName"><code>ClassifierNotFoundException.requestedSimpleName</code></a> is set.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.exception.ImportNotFoundException">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/ImportNotFoundException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">org.eclipse.papyrus.designer.languages.java.reverse.exception.ImportNotFoundException</a> extends <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NotFoundException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">NotFoundException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.exception.NestedClassifierNeedCreationException">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NestedClassifierNeedCreationException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">org.eclipse.papyrus.designer.languages.java.reverse.exception.NestedClassifierNeedCreationException</a> extends <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NotFoundException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">NotFoundException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>requestedNestedClassifierRelativename</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; requestedNestedClassifierRelativename</pre>
<div class="block">The relative name of the requested nested classifier. The first segment is the name of the parent classifier</div>
</li>
<li class="blockList">
<h4>parentQualifiedname</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; parentQualifiedname</pre>
<div class="block">The qualified name of the parent Classifier.
 Only one of <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NestedClassifierNeedCreationException.html#parentQualifiedname"><code>NestedClassifierNeedCreationException.parentQualifiedname</code></a> or <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NestedClassifierNeedCreationException.html#parentClassifier"><code>NestedClassifierNeedCreationException.parentClassifier</code></a> is set.</div>
</li>
<li class="blockListLast">
<h4>parentClassifier</h4>
<pre>org.eclipse.uml2.uml.Classifier parentClassifier</pre>
<div class="block">The parent classifier which should contains the requested nested Classifier.
 Only one of <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NestedClassifierNeedCreationException.html#parentQualifiedname"><code>NestedClassifierNeedCreationException.parentQualifiedname</code></a> or <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NestedClassifierNeedCreationException.html#parentClassifier"><code>NestedClassifierNeedCreationException.parentClassifier</code></a> is set.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.exception.NotFoundException">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/exception/NotFoundException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.exception">org.eclipse.papyrus.designer.languages.java.reverse.exception.NotFoundException</a> extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.javaparser</h2>
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ParseException">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ParseException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ParseException</a> extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>currentToken</h4>
<pre><a href="org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">Token</a> currentToken</pre>
<div class="block">This is the last token that has been consumed successfully.  If
 this object has been created due to a parse error, the token
 followng this token will (therefore) be the first error token.</div>
</li>
<li class="blockList">
<h4>expectedTokenSequences</h4>
<pre>int[][] expectedTokenSequences</pre>
<div class="block">Each entry in this array is an array of integers.  Each array
 of integers represents a sequence of tokens (by their ordinal
 values) that is expected at this point of the parse.</div>
</li>
<li class="blockList">
<h4>tokenImage</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] tokenImage</pre>
<div class="block">This is a reference to the "tokenImage" array of the generated
 parser within which the parse error occurred.  This array is
 defined in the generated ...Constants interface.</div>
</li>
<li class="blockListLast">
<h4>eol</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eol</pre>
<div class="block">The end of line string for this machine.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.Token">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.Token</a> extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>kind</h4>
<pre>int kind</pre>
<div class="block">An integer that describes the kind of this token.  This numbering
 system is determined by JavaCCParser, and a table of these numbers is
 stored in the file ...Constants.java.</div>
</li>
<li class="blockList">
<h4>beginLine</h4>
<pre>int beginLine</pre>
<div class="block">The line number of the first character of this Token.</div>
</li>
<li class="blockList">
<h4>beginColumn</h4>
<pre>int beginColumn</pre>
<div class="block">The column number of the first character of this Token.</div>
</li>
<li class="blockList">
<h4>endLine</h4>
<pre>int endLine</pre>
<div class="block">The line number of the last character of this Token.</div>
</li>
<li class="blockList">
<h4>endColumn</h4>
<pre>int endColumn</pre>
<div class="block">The column number of the last character of this Token.</div>
</li>
<li class="blockList">
<h4>image</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> image</pre>
<div class="block">The string image of the token.</div>
</li>
<li class="blockList">
<h4>next</h4>
<pre><a href="org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">Token</a> next</pre>
<div class="block">A reference to the next regular (non-special) token from the input
 stream.  If this is the last token from the input stream, or if the
 token manager has not read tokens beyond this one, this field is
 set to null.  This is true only if this token is also a regular
 token.  Otherwise, see below for a description of the contents of
 this field.</div>
</li>
<li class="blockListLast">
<h4>specialToken</h4>
<pre><a href="org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">Token</a> specialToken</pre>
<div class="block">This field is used to access special tokens that occur prior to this
 token, but after the immediately preceding regular (non-special) token.
 If there are no such special tokens, this field is set to null.
 When there are more than one such special token, this field refers
 to the last of these special tokens, which in turn refers to the next
 previous special token through its specialToken field, and so on
 until the first special token (whose specialToken field is null).
 The next fields of special tokens refer to other special tokens that
 immediately follow it (without an intervening regular token).  If there
 is no such token, this field is null.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.TokenMgrError">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/javaparser/TokenMgrError.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.TokenMgrError</a> extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Error.html?is-external=true" title="class or interface in java.lang">Error</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>errorCode</h4>
<pre>int errorCode</pre>
<div class="block">Indicates the reason why the exception is thrown. It will have
 one of the above 4 values.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.umlparser</h2>
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.umlparser.QualifiedName">
<!--   -->
</a>
<h3>Class <a href="org/eclipse/papyrus/designer/languages/java/reverse/umlparser/QualifiedName.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.QualifiedName</a> extends <a href="http://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; implements Serializable</h3>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
